/*
 Theme Name: GeneratePress Child
 Template: generatepress
*/
html {
    scroll-behavior: smooth;
}

@font-face {
    font-family: "Raleway";
    font-style: normal;
    font-weight: 100 900;
    src: url(https://www.pilatesclub.de/fonts/Raleway-VariableFont.woff2) format("woff2");
    font-display: swap;
}

@font-face {
    font-family: "Raleway";
    font-style: italic;
    font-weight: 100 900;
    src: url(https://www.pilatesclub.de/fonts/Raleway-Italic-VariableFont.woff2) format("woff2");
    font-display: swap;
}

body, button, input, select, textarea {
    font-family: "Raleway",sans-serif;
}

.site-header {
    background-color: #fff;
    height: 82px;
    box-shadow: 1px 1px 10px rgb(0 0 0 / 15%);
}

.inside-header {
    padding: 0;
}

.top-bar {
    background-color: #000;
    font-weight: 700;
}

.top-bar .inside-top-bar>.widget:first-child {
    display: none;
}

.inside-top-bar {
    padding: 4px 0;
}

.top-bar p {
    margin-bottom: 0;
    line-height: 16px;
    margin: auto;
}

.top-bar-align-right .widget:first-child {
    margin: auto;
}

.top-bar-align-center .widget:last-child {
    text-align: center;
    flex: 1;
}

.header-widget .wp-block-columns {
    margin-bottom: 0;
}

.nav-float-left #site-navigation {
    margin-right: 0;
    position: relative;
    top: 30px;
    flex: 1;
    order: 1;
}

.main-navigation .main-nav ul li a {
    line-height: 40px;
}

.site-branding-container {
    display: block;
    /* margin: auto; */
    flex: 1;
    order: 2;
}

.nav-float-left .header-widget {
    margin-left: 0;
    margin-right: 0;
    order: 0;
    position: relative;
    top: 0;
    order: 3;
    flex: 1;
}

ul#menu-shop-links {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    float: right;
    white-space: nowrap;
}

.main-navigation .main-nav a,
.menu-shop-links-container a {
    display: block;
    text-decoration: none;
    font-weight: 700;
    text-transform: none;
    font-size: 15px;
    color: #515151;
}

.menu-shop-links-container ul li a {
    padding-left: 20px;
    padding-right: 20px;
    line-height: 26px;
}

.menu-shop-links-container ul li {
    margin-bottom: 0;
}

.main-navigation .main-nav ul li:hover > a,
.main-navigation .main-nav ul li:focus > a,
.main-navigation .main-nav ul li.sfHover > a,
.main-navigation .menu-bar-item:hover > a,
.main-navigation .menu-bar-item.sfHover > a,
.menu-shop-links-container ul li:hover > a,
.menu-shop-links-container ul li:focus > a,
.menu-shop-links-container ul li.sfHover > a {
    color: #083854;
    background-color: unset;
}

li#menu-item-8777 {
    background-color: #af1a3f;
}

li#menu-item-8777 a {
    color: #fff;
}

li#menu-item-8777 a:hover {
    background-color: #af1a3f;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
    color: #083854;
    background-color: unset;
}

.site-branding-container {
    text-align: center;
    position: relative;
    top: 15px;
}

.site-branding-container .site-logo {
    margin-right: 0;
}

.site-description {
    width: 260px;
    padding: 4px 0;
    margin: auto;
    font-size: .75em;
    font-weight: 700;
    color: #af1a3f;
}

.wp-block-columns.right-menu {
    position: relative;
    top: 14px;
}

i.warenkorb {
  display: block;
  text-indent: -9999px;
  width: 30px;
  height: 30px;
  background: url(/img/warenkorb.svg);
  background-size: 30px 30px;
}

i.warenkorb:hover {
  filter: invert(16%) sepia(81%) saturate(3472%) hue-rotate(300deg) brightness(70%) contrast(92%);
}

i.mein-konto {
  display: block;
  text-indent: -9999px;
  width: 26px;
  height: 26px;
  background: url(/img/mein-konto.svg);
  background-size: 26px 26px;
}

/* Tooltip container */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted #000; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: #083854;
  color: #fff;
  font-size: 14px;
  font-weight: 700;
  font-style: normal;
  text-align: center;
  padding: 0;
  border-radius: 6px;
  text-indent: 0;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
  bottom: 130%;
  left: 50%;
  margin-left: -60px;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

.tooltip .tooltiptext::after {
  content: " ";
  position: absolute;
  top: 100%; /* At the bottom of the tooltip */
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #000 transparent transparent;
}

ul#menu-shop-links li:not(:last-child) {
    border-right: 1px solid #083854;
}

.comment-form-cookies-consent {
    align-items: baseline;
}

a.generate-back-to-top {
    background-color: #af1a3f;
    color: #fff;
}

.generate-back-to-top {
    border-radius: 6px;
    line-height: 50px;
    width: 50px;
}

#mobile-nav-bar {
    content-visibility: hidden;
    display: none;
}

h1 {
      word-wrap: break-word;
      -webkit-hyphens: auto;
      -ms-hyphens: auto;
      -moz-hyphens: auto;
      hyphens: auto;
}

.top-bar a:hover {
    color: #fff;
}

.top-bar a:hover .jetzt-testen {
    text-decoration: underline;
}

.cc-manager-iframe-placeholder {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 !important;
}

/* On screens that are 992px or less, set the background color to blue */
@media screen and (max-width: 992px) {

    .nav-float-left #site-navigation {
        flex: 1;
        order: 2;
    }

    .site-branding-container {
        flex: 1;
        order: 1;
        top: 12px;
    }

    .nav-float-left .header-widget {
        max-width: 260px;
        order: 3;
    }

    .main-navigation .inside-navigation {
        justify-content: flex-end;
        flex-wrap: nowrap;
    }

    .main-navigation .main-nav a, .menu-shop-links-container a {
        font-size: 14px;
        }

    .main-navigation .main-nav ul li a, .menu-shop-links-container ul li a {
        padding-left: 14px;
        padding-right: 14px;
    }

    .newsletter input#mce-EMAIL {
        width: 100%;
    }

    .newsletter .button {
        margin-top: 10px;
        width: 100%;
    }

}

/* On screens that are 849px or less, set the background color to blue */
@media screen and (max-width: 849px) {

/*
    #menu-shop-links li:first-child {
        display: none;
    }


*/

    #menu-hauptmenue-links li:last-child {
        display: none;
    }

}

@media screen and (max-width: 768px) {


#menu-shop-links li:first-child {
    display: none;
}

aside#block-22 { display: none; }

.mobilePadding, .video p {
    padding-left: 20px;
    padding-right: 20px;
}

    #mobile-menu-control-wrapper {
        display: none;
    }

    .has-inline-mobile-toggle .inside-header {
        flex-wrap: inherit;
    }

    .nav-float-left .header-widget {
        top: 20px;
        max-width: 20%;
    }

    .site-branding-container {
        margin: 0 0 0 15px;
    }

    ul#menu-hauptmenue-links {
        display: flex;
    }

    .nav-float-left .has-inline-mobile-toggle #site-navigation {
        order: 2;
    }
/*
    .has-inline-mobile-toggle .inside-header {
        flex-wrap: wrap;
    }
*/
/*
    mobile-toggle #site-navigation, .has-inline-mobile-toggle .header-widget, .has-inline-mobile-toggle #site-navigation {
        flex-basis: auto;
    }
*/
    .footer-widgets-container {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .footer-widgets .widget {
        margin-bottom: 10px;
    }

    .site-branding-container {
        top: 22px;
    }

    .nav-float-left #site-navigation {
        top: 30px;
    }
    .nav-float-left .header-widget {
    top: 2px;
    }

}

@media screen and (max-width: 620px) {

    #menu-hauptmenue-links li:first-child {
        display: none;
    }

}

/* On screens that are 540px or less */
@media screen and (max-width: 540px) {

    .site-header {
        height: 74px;
        display: flex;
    }

    .has-inline-mobile-toggle .inside-header {
        align-items: flex-start;
        width: 100%;
    }

    .site-branding-container {
        top: 8px;
    }

    .top-bar .widget.inner-padding.widget_block.widget_text {
        display: flex;
    }

    .top-bar .inside-top-bar:last-child {
        display: flex;
        flex-wrap: nowrap;
    }

    .top-bar .shopButton a {
        color: #fff;
        background-color: #af1a3f;
        padding: 6px 18px;
    }


    .top-bar .shopButton a:hover {
        color: #fff;
    }

    #site-navigation {
        display: none;
    }

    .nav-float-left .header-widget {
        top: -4px;
        max-width: 40%;
        padding-right: 8px;
    }

    .site-branding-container {
        text-align: left;
        max-width: 60%;
    }

    .site-description {
        margin: 0;
    }

    i.mein-konto {
        width: 20px;
        height: 20px;
        background-size: 20px 20px;
    }

    i.warenkorb {
        width: 20px;
        height: 20px;
        background-size: 20px 20px;
    }


    .top-bar {
        display: none;
    }

    ul#mobile-nav-bar {
        content-visibility: visible;
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: -ms-autohiding-scrollbar;
        margin: 0;
        background-color: #f8fbfd;
        border-top: 1px dotted #083854;
        border-bottom: 1px dotted #083854;
        box-shadow: 0px 4px 10px -4px rgb(0 0 0 / 60%);
    }

    .site-header {
        box-shadow: none;
    }

    ul#mobile-nav-bar::-webkit-scrollbar {
        display: none;
    }

    ul#mobile-nav-bar li {
        flex: 0 0 auto;
        margin: 0;
        padding: 0;
        font-size: 14px;
        text-align: center;
        list-style-type: none;
        border-left: 5px solid #fff;
        letter-spacing: -.01em;
        font-weight: 600;
        padding: 6px 12px;
        line-height: 1.3;
    }

    ul#mobile-nav-bar li:nth-child(-n+2) {
        border-left: 0;
    }

    ul#mobile-nav-bar li.menu-arrow {
        padding:  14px 8px 0 0 !important;
        background-color: #083854;
        font-size: 18px;
    }

    ul#mobile-nav-bar li.menu-arrow a {
        color: #fff;
    }

    ul#mobile-nav-bar li a {
        text-decoration: none;
    }

    ul#mobile-nav-bar li.current-menu-item {
        background-color: #af1a3f;
    }

    ul#mobile-nav-bar li.current-menu-item a {
        color: #fff;
    }

    ul#mobile-nav-bar li:hover {
        background-color: #083854;
    }

    ul#mobile-nav-bar li:hover a {
        color: #fff;
    }

    #chatra.chatra--expanded {
        width: 90% !important;
    }
    #chatra.chatra--pos-middle:not(.chatra--expanded) {
        bottom: 8% !important;
    }
    #chatra.chatra--side-right {
        left: 20px;
    }

}